class NiceHFR extends NiceScopedWeapon;

simulated function float CalcAspectRatioAdjustedFOV(float AdjustFOV)
{
    local KFPlayerController KFPC;
    local float ResX, ResY;
    local float AspectRatio;
    KFPC = KFPlayerController(Level.GetLocalPlayerController());
    if( KFPC == none )
    {
       return AdjustFOV;
    }
    ResX = float(GUIController(KFPC.Player.GUIController).ResX);
    ResY = float(GUIController(KFPC.Player.GUIController).ResY);
    AspectRatio = ResX / ResY;
    if ( KFPC.bUseTrueWideScreenFOV && AspectRatio >= 1.60 ) //1.6 = 16/10 which is 16:10 ratio and 16:9 comes to 1.77
    {
       return CalcFOVForAspectRatio(AdjustFOV);
    }
    else
    {
       return AdjustFOV;
    }
}

defaultproperties
{
    reloadPreEndFrame=0.339
    reloadEndFrame=0.732
    reloadChargeEndFrame=-1.000000
    reloadMagStartFrame=0.643
    reloadChargeStartFrame=-1.000000
    magazineBone="Magazine"
    lenseMaterialID=3
    scopePortalFOVHigh=22.000000
    scopePortalFOV=12.000000
    ZoomMatRef="KillingFloorWeapons.Xbow.CommandoCrossFinalBlend"
    ScriptedTextureFallbackRef="NicePackT.HFR.CBLens_cmb"
    bHasScope=True
    ZoomedDisplayFOVHigh=35.000000
    MagCapacity=50
    ReloadRate=3.000000
    ReloadAnim="Reload"
    ReloadAnimRate=0.600000
    WeaponReloadAnim="Reload_M4"
    bSteadyAim=True
    Weight=5.000000
    bHasAimingMode=True
    IdleAimAnim="Idle"
    StandardDisplayFOV=60.000000
    bModeZeroCanDryFire=True
    SleeveNum=0
    TraderInfoTexture=Texture'NicePackT.HFR.AAR525S_Trader'
    bIsTier2Weapon=True
    MeshRef="NicePackA.HFR"
    SkinRefs(0)="KF_Weapons_Trip_T.hands.hands_1stP_military_cmb"
    SkinRefs(1)="NicePackT.HFR.AAR525S_TEX_cmb"
    SkinRefs(2)="KF_Weapons_Trip_T.Rifles.crossbow_cmb"
    SelectSoundRef="KF_AK47Snd.AK47_Select"
    HudImageRef="NicePackT.HFR.AAR525S_unselected"
    SelectedHudImageRef="NicePackT.HFR.AAR525S_selected"
    PlayerIronSightFOV=65.000000
    ZoomedDisplayFOV=32.000000
    FireModeClass(0)=class'NiceHFRPFire'
    FireModeClass(1)=Class'KFMod.NoFire'
    PutDownAnim="PutDown"
    AIRating=0.700000
    CurrentRating=0.700000
    Description="Advanced horzine flame rifle."
    EffectOffset=(X=100.000000,Y=25.000000,Z=-10.000000)
    DisplayFOV=60.000000
    Priority=145
    CustomCrosshair=11
    CustomCrossHairTextureName="Crosshairs.HUD.Crosshair_Cross5"
    InventoryGroup=4
    GroupOffset=8
    PickupClass=class'NiceHFRPickup'
    PlayerViewOffset=(X=18.000000,Y=15.000000,Z=-6.000000)
    BobDamping=6.000000
    AttachmentClass=class'NiceHFRAttachment'
    IconCoords=(X1=245,Y1=39,X2=329,Y2=79)
    ItemName="Horzine flame rifle"
    DrawScale=0.900000
    TransientSoundVolume=1.250000
}
